class KioskMode < ActiveRecord::Migration
  def self.up
    add_column :elections, :kiosk, :boolean,
                :null => false, :default => false
    add_column :elections, :verifiable, :boolean,
               :null => false, :default => true

    Election.find(:all).select {|e| e.class == QuickVote }.each do |e|
      e.verifiable = false
      e.save
    end
  end

  def self.down
    remove_column :elections, :kiosk
    remove_column :elections, :verifiable
  end
end
